<?php
/*
Plugin Name: FlipBook Gallery
Description: Create a shortcode for flipbook galleries.
Version: 1.0
Author: Web Revenue Blog
License: GPL2
*/

/* 
	Special thanks to: Rochester Oliveira, Luiz Felipe
*/

/*Action to add scripts and stylesheets that are required for this plugin*/
function plugin_scripts( ) {
	wp_enqueue_script('jquery');	// 1.9 required, you can use this plugin to update it: http://wordpress.org/plugins/jquery-updater/
	wp_enqueue_script('turn', plugins_url( 'js/turn.js' , __FILE__ ), array('jquery'), '1.3', false);
	wp_enqueue_style('turnCSS', plugins_url( 'css/style.css' , __FILE__ ), false, '1.3', 'all' );
}

add_action('wp_enqueue_scripts', 'plugin_scripts');

/*Creating and adding shortcode*/
function create_flip_book( $atributes ) {
	
	//Preparing the IDs to be processed
	$array['ids'] = explode(" ",$atributes['ids']);
	
	//display mode
	$array['display'] = empty( $atributes['display'] ) ? "single" : $atributes['display'];//standard value
	
	//width
	$array['width'] = empty( $atributes['width'] ) ? 400 : $atributes['width'];

	//height
	$array['height'] = empty( $atributes['height'] ) ? 300 : $atributes['height'];
	
	
	if ( $array['display'] == "double" ) {
		$array['width'] = $array['width'] * 2;
	}
	// HTML, JS and Black Magic
?>
	<div id="flipbook">
		<?php
			for( $i = 0; $i < sizeof( $array['ids'] ); $i++ ) {
		?>
			<div class="page">
				<?php
					echo wp_get_attachment_image( $array['ids'][$i], 'full' );
					if( $array['display'] == "single" ) {
				?>
					<span class="page_number right"><?="".($i+1)?>/<? echo "".sizeof($array['ids'])?></span>
				<?php
					} else { 
				?>
					<span class="page_number <?php
							echo ($i%2 == 0 ? "right" : "left");
					?>">
					<?php
						echo "".($i+1)?>/<? echo "".sizeof($array['ids']);
					?>
					</span>
				<?php
					}
				?>
			</div>
		<?php
			}
		?>
	</div>
	<script type="text/javascript">
		jQuery("#flipbook").turn({
			width: <?php echo $array['width']; ?>,
			height: <?php echo $array['height']; ?>,
			autoCenter: true,
			display: '<?php echo $array['display']; ?>',//single page or double page
			acceleration: true,
			gradients: ! jQuery.isTouch,
		});
	</script>
	<?php
}

add_shortcode("flip_book","create_flip_book");
?>